<template>
  <div v-if="!databaseLoad">
    <section class="home-front">

      <div class="home-front-foto"
           :style="{background: `url(${database.block1.image})`}"
      >
        <div class="container">
          <h2 class="home-front-foto-title">
            <p v-if="database.block1.isTitle1 || isAuthAdmin" :class="database.block1.isTitle1||'opacity-20'">
              {{database.block1.title1}}
              <q-popup-edit v-if="isAuthAdmin" v-model="database.block1.title1" auto-save v-slot="scope">
                <q-input :type="scope.value.length > 100 && 'textarea' || 'text'" v-model="scope.value" dense autofocus counter @keyup.enter="scope.set" />
              </q-popup-edit>
              <q-toggle
                v-if="isAuthAdmin"
                v-model="database.block1.isTitle1"
                checked-icon="visibility"
                color="green"
                unchecked-icon="visibility_off"
              />
            </p>
            <p v-if="database.block1.isTitle2 || isAuthAdmin" :class="database.block1.isTitle2||'opacity-20'">
              {{database.block1.title2}}
              <q-popup-edit v-if="isAuthAdmin" v-model="database.block1.title2" auto-save v-slot="scope">
                <q-input :type="scope.value.length > 100 && 'textarea' || 'text'" v-model="scope.value" dense autofocus counter @keyup.enter="scope.set" />
              </q-popup-edit>
              <q-toggle
                v-if="isAuthAdmin"
                v-model="database.block1.isTitle2"
                checked-icon="visibility"
                color="green"
                unchecked-icon="visibility_off"
              />
            </p>
          </h2>
          <div v-if="database.block1.isSubtitle || isAuthAdmin" :class="database.block1.isSubtitle||'opacity-20'" class="home-front-foto-note">
            <span class="home-front-foto-note-text">
              <span>
                {{database.block1.subtitle}}
                <q-popup-edit v-if="isAuthAdmin" v-model="database.block1.subtitle" auto-save v-slot="scope">
                  <q-input :type="scope.value.length > 100 && 'textarea' || 'text'" v-model="scope.value" dense autofocus counter @keyup.enter="scope.set" />
                </q-popup-edit>
              </span>
            </span>
          </div>
          <q-toggle
            v-if="isAuthAdmin"
            v-model="database.block1.isSubtitle"
            checked-icon="visibility"
            color="green"
            unchecked-icon="visibility_off"
          />
          <label v-if="isAuthAdmin" for="1234" class="mt-4 flex">
            <div class="bg-primary w-1/2 sm:w-1/6 md:w-1/8 rounded text-center text-white q-pa-sm">ИЗМЕНИТЬ ИЗОБРАЖЕНИЕ</div>
          </label>
        </div>
        <img class="home-front-foto-note-up" src="../assets/../assets/image/home/up.svg">
        <input v-on:change="addImages" hidden type="file" id="1234">
      </div>
      <div class="home-front-form">

        <div class="container">
          <h3 class="home-front-form-title">Получите консультацию бесплатно</h3>
          <form class="home-front-form-input">
            <input type="text" name="name" placeholder="   Ваше имя">
            <input type="text" name="phone" placeholder="   Телефон">
            <input type="text" name="e-mail" placeholder="   E-mail">
            <button>
              <span>Отправить</span>
            </button>
          </form>
          <div class="home-front-form-person">
            <span>Отправляя заявку вы соглашаетесь с <a href="">Условиями обработки персональных данных</a></span>
          </div>
        </div>

      </div>
    </section>

    <section v-if="database.block2.display || isAuthAdmin" :class="database.block2.display||'opacity-20'" class="container home-opportunities">
      <div class="home-opportunities-container">
        <h1 class="home-opportunities-title">
          <span>{{database.block2.title}}</span>
          <q-toggle
            v-if="isAuthAdmin"
            v-model="database.block2.display"
            checked-icon="visibility"
            color="green"
            unchecked-icon="visibility_off"
            class="float-right"
          />
          <q-popup-edit v-if="isAuthAdmin" v-model="database.block2.title" auto-save v-slot="scope">
            <q-input :type="scope.value.length > 100 && 'textarea' || 'text'" v-model="scope.value" dense autofocus counter @keyup.enter="scope.set" />
          </q-popup-edit>
        </h1>
        <div class="home-opportunities-container-main">
          <div class="home-opportunities-main w-full flex-wrap">
            <router-link
              v-if="!isAuthAdmin"
              v-for="(el, index) in database.block2.item"
              tag="div"
              :to="{path: el.path || '404'}"
              class="home-opportunities-paragraphs-item"
            >
              <p>{{el.name}}</p>
            </router-link>
            <div v-else v-for="(el, index) in database.block2.item" class="home-opportunities-paragraphs-item">
              <p>{{el.name}}</p>
              <q-popup-edit v-if="isAuthAdmin" v-model="database.block2.item[index]" auto-save v-slot="scope">
                    <q-input v-model="scope.value.name" label="Текст ссылки" dense autofocus counter @keyup.enter="scope.set" />
                    <q-input v-model="scope.value.path" label="Ссылка" prefix="/" dense autofocus counter @keyup.enter="scope.set" />
<!--                    <q-select-->
<!--                      filled-->
<!--                      v-model="scope.value.path"-->
<!--                      :options="databaseRouter[0].children"-->
<!--                      label="Ссылка"-->
<!--                      color="teal"-->
<!--                      clearable-->
<!--                      options-selected-class="text-deep-orange"-->
<!--                      use-chips-->
<!--                    >-->
<!--                      <template v-slot:selected="val">-->
<!--                        {{ scope.value.name }}-->
<!--                      </template>-->
<!--                      <template v-slot:option="scope">-->
<!--                        <q-item v-bind="scope.itemProps">-->
<!--                          <q-badge class="q-pa-sm">/{{scope.opt.path}}</q-badge>-->
<!--                        </q-item>-->
<!--                      </template>-->
<!--                    </q-select>-->
                  </q-popup-edit>
            </div>
          </div>
        </div>
      </div>
    </section>

    <section class="container home-about">
      <q-list
        v-for="(el, index) in database.block3"
        bordered
        class="rounded-borders
        bg-white my-2"
        style="border-radius: 6px"
      >
        <q-expansion-item
          expand-separator
          :icon="el.icon"
          :label="el.name"
          header-class="text-bold text-h6"
        >
          <q-popup-edit v-if="isAuthAdmin && !el.items" v-model="database.block3[index]" auto-save v-slot="scope">
            <q-input :type="scope.value.length > 100 && 'textarea' || 'text'" v-model="scope.value.name" dense autofocus counter @keyup.enter="scope.set" />
            <q-input :type="scope.value.length > 100 && 'textarea' || 'text'" v-model="scope.value.title" dense autofocus counter @keyup.enter="scope.set" />
            <q-input :type="scope.value.length > 100 && 'textarea' || 'text'" v-model="scope.value.subtitle" dense autofocus counter @keyup.enter="scope.set" />
            <q-input :type="scope.value.length > 100 && 'textarea' || 'text'" v-model="scope.value.icon" dense autofocus counter @keyup.enter="scope.set" hint="Список иконок: https://fonts.google.com/icons"/>
          </q-popup-edit>
          <q-card>
            <q-card-section>
              <div class="home-expansion-1" :class="{'no-image':!el.image, 'is-items':el.items && el.items.length}">
                <img v-if="el.image" :src="el.image" alt="">
                <div v-if="!el.items && el.name !== 'Выигранные дела'" class="home-expansion-1-title">
                  <div class="text-h5 text-bold">{{el.title}}</div>
                  <div>{{el.subtitle}}</div>
                </div>
                <router-link v-else-if="el.name === 'Выигранные дела' && !isAuthAdmin" to="/wins" class="home-expansion-1-title">
                  <div class="text-h5 text-bold">{{el.title}}</div>
                  <div>{{el.subtitle}}</div>
                </router-link>
                <div
                  v-if="el.items && el.items.length"
                  v-for="(item, i) in el.items"
                >
                  <img src="../assets/image/home/rhombus.svg">
                  <p>
                    {{item}}
                    <q-popup-edit v-if="isAuthAdmin && el.items" v-model="database.block3[index].items[i]" auto-save v-slot="scope">
                      <q-input :type="scope.value.length > 100 && 'textarea' || 'text'" v-model="scope.value" dense autofocus counter @keyup.enter="scope.set" />
                    </q-popup-edit>
                  </p>
                </div>
              </div>
            </q-card-section>
          </q-card>
        </q-expansion-item>
      </q-list>

      <div class="home-about-us">
        <div class="home-about-us-button-active accordion">
          <div @click="showList('Автоюрист в СМИ')" class="home-about-us-title">
            <span>Автоюрист в СМИ</span>
            <!-- <img class="nonactive" src="../assets/image/home/accord-close.png">
            <img class="" src="../assets/image/home/accord.svg"> -->
          </div>
        </div>
        <div class="home-about-us-item panel" :style="{maxHeight: list === 'Автоюрист в СМИ' && '10000px' || '0px'}">
          <div class="home-about-us-item-container2">
            <div class="home-about-us-item-half">
              <div class="home-about-us-item-half-two">
                <img src="../assets/image/home/smi1.svg">
                <img src="../assets/image/home/smi2.svg">
              </div>
              <div class="home-about-us-item-half-two">
                <img src="../assets/image/home/smi3.svg">
                <img src="../assets/image/home/smi4.svg">
              </div>
              <div class="home-about-us-item-half-two">
                <img src="../assets/image/home/smi5.svg">
                <img src="../assets/image/home/smi6.svg">
              </div>
            </div>
            <div class="home-about-us-item-half">
              <div class="home-about-us-item-half-two">
                <img src="../assets/image/home/smi7.svg">
                <img src="../assets/image/home/smi8.svg">
              </div>
              <div class="home-about-us-item-half-two">
                <img src="../assets/image/home/smi9.svg">
                <img src="../assets/image/home/smi10.svg">
              </div>
              <div class="home-about-us-item-half-two">
                <img src="../assets/image/home/smi11.svg">
                <img src="../assets/image/home/smi12.svg">
              </div>
            </div>
          </div>
          <div class="home-about-us-item-second">
            <h1>Получите консультацию бесплатно</h1>
            <div class="home-about-us-item-second-inputs">
              <textarea type="text" name="question" placeholder="Введите ваш вопрос"></textarea>
              <div>
                <input type="text" name="name" placeholder="Ваше имя">
                <input type="text" name="phone" placeholder="Телефон">
                <input type="text" name="E-mail" placeholder="E-mail">
              </div>
            </div>
            <div class="home-about-us-item-second-person">
              <p>Отправляя заявку вы соглашаетесь с <a href="">Условиями обработки персональных данных</a></p>
            </div>
            <button>
              <span>Получить</span>
            </button>
          </div>
        </div>
      </div>
    </section>

    <section class="container home-plus scrolling">
      <div class="home-plus-container">
        <div class="home-plus-item">
          <h1>Наши плюсы</h1>
          <div class="home-plus-item-paragraphs">
            <div class="home-plus-item-paragraph w-full">
              <img src="../assets/image/home/ourPlus.svg">
              <p>В работу берём только дела, которые сможем выиграть</p>
            </div>
            <div class="home-plus-item-paragraph w-full">
              <img src="../assets/image/home/ourPlus.png">
              <p>Точная стоимость услуг и никаких доплат</p>
            </div>
            <div class="home-plus-item-paragraph w-full">
              <img src="../assets/image/home/ourPlus.png">
              <p>70% клиентов обращаются по рекомендации друзей и знакомых</p>
            </div>
            <div class="home-plus-item-paragraph w-full">
              <img src="../assets/image/home/ourPlus.png">
              <p>Договор понятгным языком без подводных камней</p>
            </div>
            <div class="home-plus-item-paragraph w-full">
              <img src="../assets/image/home/ourPlus.png">
              <p>Мы - некоммерческая организация и ставим цели в области права выше денег</p>
            </div>
          </div>
        </div>
        <div class="home-plus-item">
          <h1>О нас в цифрах</h1>
          <div class="home-plus-item-numbers">
            <div class="home-plus-item-numbers-item">
              <div class="circle-plus">23</div>
              <p>года защищаем права водитиелей</p>
            </div>
            <div class="home-plus-item-numbers-item">
              <div class="circle-plus">478</div>
              <p>городов России мы обслуживаем</p>
            </div>
          </div>
          <div class="home-plus-item-numbers">
            <div class="home-plus-item-numbers-item">
              <div class="circle-plus">403</div>
              <p>специалиста в области права</p>
            </div>
            <div class="home-plus-item-numbers-item">
              <div class="circle-plus">0</div>
              <p>переплат и скрытых комиссий</p>
            </div>
          </div>
        </div>
        <div class="home-plus-item">
          <h1>Три обещания</h1>
          <span>которые мы выполняем</span>
          <div class="home-plus-item-paragraph w-full">
            <img src="../assets/image/home/arrow.svg">
            <p>Честно говорим о шансах решения проблем</p>
          </div>
          <div class="home-plus-item-paragraph">
            <img src="../assets/image/home/arrow.svg">
            <p>Берёмся только за те дела, у которых высокие шансы на победу</p>
          </div>
          <div class="home-plus-item-paragraph">
            <img src="../assets/image/home/arrow.svg">
            <p>Гарантируем качество оказываемых услуг - всегда идем до победы</p>
          </div>
        </div>
      </div>
    </section>

    <section class="container home-return">
      <div class="home-return-container">
        <h1 class="home-return-title">Как мы возвращаем права</h1>
        <div class="home-return-container2">
          <div class="dottedLine mobile"></div>
          <div class="home-return-step">
            <div class="circle-return mobile">1</div>
            <div class="desktop">
              <div class="home-return-step-num">
                <div class="dottedLine"></div>
                <div class="circle-return circle-return1">1</div>
                <div class="solidLine"></div>
              </div>
            </div>
            <p class="home-return-step-text">Вы присылаете документы или приезжаете в офис</p>
          </div>
          <div class="solidLine mobile"></div>
          <div class="home-return-step">
            <div class="circle-return mobile">2</div>
            <div class="desktop">
              <div class="home-return-step-num">
                <div class="solidLine"></div>
                <div class="circle-return circle-return2">2</div>
                <div class="solidLine"></div>
              </div>
            </div>
            <p class="home-return-step-text">Мы бесплатно проводим анализ и предоставляем полную консультацию</p>
          </div>
          <div class="solidLine mobile"></div>
          <div class="home-return-step">
            <div class="circle-return mobile">3</div>
            <div class="desktop">
              <div class="home-return-step-num">
                <div class="solidLine"></div>
                <div class="circle-return circle-return3">3</div>
                <div class="solidLine"></div>
              </div>
            </div>
            <p class="home-return-step-text">Подготавливаем комплект документов для решения вопроса</p>
          </div>
          <div class="solidLine mobile"></div>
          <div class="home-return-step">
            <div class="circle-return mobile">4</div>
            <div class="desktop">
              <div class="home-return-step-num">
                <div class="solidLine"></div>
                <div class="circle-return circle-return4">4</div>
                <div class="solidLine"></div>
              </div>
            </div>
            <p class="home-return-step-text">При необходимости юрист выезжает в суд и делает все без вашего участия</p>
          </div>
          <div class="solidLine mobile"></div>
          <div class="home-return-step">
            <img class="home-return-step-foto mobile" src="../assets/image/home/driver_s_license.svg">
            <div class="desktop">
              <div class="home-return-step-num">
                <div class="solidLine"></div>
                <img class="home-return-step-foto desktop" src="../assets/image/home/driver_s_license.svg">
                <div class="dottedLine desktop"></div>
              </div>
            </div>
            <p class="home-return-step-text">Возвращаете водительское удостоверение</p>
          </div>
          <div class="dottedLine mobile"></div>
        </div>
      </div>
    </section>

    <section class="container home-otherService">
      <div class="home-otherService-container">
        <h1 class="home-otherService-title">Другие услуги</h1>
        <div class="home-otherService-images">
          <a href="https://xn----7sbbi4acmpdfiyoke2q.xn--p1ai/" class="home-otherService-images-items">
            <div class="home-otherService-images-items-item">
              <i class="fab fa-youtube home-otherService-images-items-item2"></i>
            </div>
            <h2 class="home-otherService-images-items-title">Школа Автоюрист</h2>
          </a>
          <a href="https://avtourist.net/" class="home-otherService-images-items">
            <div class="home-otherService-images-items-item"></div>
            <h2 class="home-otherService-images-items-title">Шаблоны документов</h2>
          </a>
          <a href="https://онлайн-автоюрист.рф/subscription" class="home-otherService-images-items">
            <div class="home-otherService-images-items-item"></div>
            <h2 class="home-otherService-images-items-title">Подписка на услуги</h2>
          </a>
          <a href="" class="home-otherService-images-items">
            <div class="home-otherService-images-items-item"></div>
            <h2 class="home-otherService-images-items-title">ОСАГО от Автоюрист</h2>
          </a>
        </div>
      </div>
    </section>

    <section class="container home-chances">
      <div class="home-chances-container">
        <h1 class="home-chances-title mobile">Узнать шансы на возврат прав <span>бесплатно <br> онлайн</span></h1>
        <h1 class="home-chances-title desktop">Узнать шансы на возврат прав <span>бесплатно онлайн</span></h1>
        <h3 class="home-chances-title2">по базе с 6807 постановлениями и решениями судов</h3>
        <div class="home-chances-container-items scrolling">
          <div class="home-chances-items">
            <router-link tag="div" :to="{name: 'Chance', hash: '#quests', params: {id: 'otkaz-ot-medosvidetelstvovaniya'}}">
              <div class="home-chances-items-item">
                <span class="home-chances-span">12.26</span>
                <p class="home-chances-p">Отказ от медицинского освидетельствования</p>
                <!-- <img class="home-chances-img" src="../assets/image/home/Arrow2.svg"> -->
                <div class="home-chances-img"></div>
              </div>
            </router-link>
            <router-link tag="div" :to="{name: 'Chance', hash: '#quests', params: {id: 'alkogolnoe-opyanenie'}}">
              <div class="home-chances-items-item">
                <span class="home-chances-span">12.8</span>
                <p class="home-chances-p">Управление в состоянии опьянения</p>
                <!-- <img class="home-chances-img" src="../assets/image/home/Arrow2.svg"> -->
                <div class="home-chances-img"></div>
              </div>
            </router-link>
            <router-link tag="div" :to="{name: 'Chance', hash: '#quests', params: {id: 'vyezd-na-vstrechnuyu-polosu'}}">
              <div class="home-chances-items-item">
                <span class="home-chances-span">12.15.4(5)</span>
                <p class="home-chances-p">Выезд на встречную полосу</p>
                <!-- <img class="home-chances-img" src="../assets/image/home/Arrow2.svg"> -->
                <div class="home-chances-img"></div>
              </div>
            </router-link>
            <router-link tag="div" :to="{name: 'Chance', hash: '#quests', params: {id: 'skrytie-s-mesta-dtp'}}">
              <div class="home-chances-items-item">
                <span class="home-chances-span">12.27</span>
                <p class="home-chances-p">Скрытие с места ДТП</p>
                <!-- <img class="home-chances-img" src="../assets/image/home/Arrow2.svg"> -->
                <div class="home-chances-img"></div>
              </div>
            </router-link>
            <router-link tag="div" :to="{name: 'Chance', hash: '#quests', params: {id: 'vred-zdorovyu-cheloveka'}}">
              <div class="home-chances-items-item">
                <span class="home-chances-span">12.2</span>
                <p class="home-chances-p">Управление без номеров и скрытие номеров</p>
                <!-- <img class="home-chances-img" src="../assets/image/home/Arrow2.svg"> -->
                <div class="home-chances-img"></div>
              </div>
            </router-link>
          </div>
        </div>
      </div>
    </section>

    <section class="container home-more">
      <div class="home-more-container">
        <h1 class="home-more-title">Что ещё вы можете получить</h1>
        <div class="home-more-pictures home-more-pictures-helper">
          <div @click="showHomeMoreDialog"  class="home-more-pictures-item-more cursor-pointer">
            <div class="more-pictures-item-more-text-div">
              <h4>
                Видеоконсультация
              </h4>
              <p>
                Это отличный способ пообщаться с юристом практически вживую, познакомиться с ним, обсудить все вопросы возврата прав.
              </p>
            </div>
          </div>
          <router-link to="/wins" class="home-more-pictures-item-more">
            <div class="more-pictures-item-more-text-div">
              <h4>
                Решения судов
              </h4>
              <p>
                Юрист бесплатно подберет решения и постановления судов по такому же делу как Ваше с такими же особенностями. Вы сможете сами увидеть как другие автовладельцы выиграли свое дело
              </p>
            </div>
          </router-link>
        </div>
        <div class="home-more-pictures">
          <router-link to="/page/narusheniya-i-zashchita/videoinstruction" class="home-more-pictures-item">
            <div class="home-more-pictures-item-text-div">
              <h4>
                Бесплатная видеоинструкция
              </h4>
              <p>
                Потратьте 30 минут времени и узнайте как вернуть права в суде. Наши эксперты дали пошаговый план.
              </p>
            </div>
          </router-link>
          <div @click="showHomeMoreDialog" class="home-more-pictures-item">
            <div class="home-more-pictures-item-text-div">
              <h4>
                Заявка на досрочный возврат прав
              </h4>
              <p>
                Оставьте свои данные и наш юрист оценит возможность и вероятность досрочного возврата прав
              </p>
            </div>
          </div>
          <div class="home-more-pictures-item">
            <div class="home-more-pictures-item-text-div">
              <h4>
                Бесплатные ходатайства для возврата прав
              </h4>
              <p>
                В судах нужно много разных бумаг. Ходатайства нужны всегда! Юрист бесплатно заполнит их и пришлет их Вам.
              </p>
            </div>
          </div>
        </div>
      </div>
    </section>

    <Modal
      v-if="isHomeMoreDialog"
      @click="showHomeMoreDialog"
      no-border
    >
      <template #body>
        <q-card class="p-8">
          <q-card-section>
            <p class="text-black text-h6 opacity-80">Оставить заявку</p>
            <q-input label="Имя" v-model="form.name"/>
            <q-input label="Телефон" v-model="form.phone"/>
            <q-input label="Email" v-model="form.email"/>
            <q-input label="Город" v-model="form.city"/>
          </q-card-section>
          <q-card-actions>
            <q-btn @click="sendForm" :loading="loadingSendButton" dark-percentage label="Отправить" color="yellow" class="text-black ml-auto"/>
          </q-card-actions>
        </q-card>
      </template>
    </Modal>
    <SendForm v-if="isSendForm" :form="form" @sendSuccessful="sendSuccessful" />
  </div>
</template>

<script>
import {computed, ref, watch} from 'vue'
import {useStore} from "vuex";
import { getDatabase, ref as firebaseRef, child, get, update } from "firebase/database";
import { getStorage, ref as firebaseStorageRef, getDownloadURL, uploadBytesResumable, deleteObject, listAll } from "firebase/storage";
import Modal from "../components/Modal.vue";
import axios from "axios";
import SendForm from "../components/Send-form.vue";

export default {
  components: {SendForm, Modal},
  setup () {
    const store = useStore()
    const db = getDatabase();
    const dbRef = firebaseRef(db);
    const storage = getStorage();
    const database = ref({});
    const databaseLoad = ref(true);
    const databaseRouter = ref([]);
    const list = ref('')


    const homeMoreDialog = ref(false)
    const isHomeMoreDialog = computed(() => homeMoreDialog.value)
    function showHomeMoreDialog () {
      homeMoreDialog.value = !homeMoreDialog.value
    }
    const form = ref({
      name: '',
      phone: '',
      email: '',
      city: '',
    })
    const loadingSendButton = ref(false);
    const isSendForm = ref(false);
    function sendForm () {
      isSendForm.value = true
      loadingSendButton.value = true
    }
    function sendSuccessful () {
      loadingSendButton.value = false
      homeMoreDialog.value = false
    }

    async function getDatabaseFirebase() {
      await get(child(dbRef, '/main')).then((snapshot) => {
        if (snapshot.exists()) {
          database.value = snapshot.val()
        } else {
          console.log("No data available");
        }
      }).catch((error) => {
        console.error(error);
      });
      await get(child(dbRef, `/router`)).then((snapshot) => {
        if (snapshot.exists()) {
          databaseRouter.value = snapshot.val()
        } else {
          console.log("No data available");
        }
      }).catch((error) => {
        console.error(error);
      });

      databaseLoad.value = false
    }
    getDatabaseFirebase()

    const images = ref([]);
    async function addImages (event) {
      const input = event.target
      const file = input.files[0]

      // Проверяем, является ли файл изображением
      if (file.type.startsWith('image/')) {
        const uploadTask = uploadBytesResumable(firebaseStorageRef(storage, `main/${file.name}`), file);
        uploadTask.on('state_changed',
          (snapshot) => {
            // Observe state change events such as progress, pause, and resume
            // Get task progress, including the number of bytes uploaded and the total number of bytes to be uploaded
            const progress = (snapshot.bytesTransferred / snapshot.totalBytes) * 100;
            console.log('Upload is ' + progress + '% done');
            switch (snapshot.state) {
              case 'paused':
                console.log('Upload is paused');
                break;
              case 'running':
                console.log('Upload is running');
                break;
            }
          },
          (error) => {
            // Handle unsuccessful uploads
          },
          () => {
            // Handle successful uploads on complete
            // For instance, get the download URL: https://firebasestorage.googleapis.com/...
            getDownloadURL(uploadTask.snapshot.ref).then((downloadURL) => {
              database.value.block1.image = downloadURL
              console.log('File available at', downloadURL);
            });
          }
        );
      } else {
        return null
      }
    }

    function showList (value) {
      list.value !== value && (list.value = value) || (list.value = '')
    }

    watch(database, ()=>{
      !databaseLoad.value && update(dbRef, {'/main': database.value});
    }, { deep: true })

    return {
      database,
      databaseLoad,
      databaseRouter,
      images,
      addImages,
      isAuthAdmin: computed(() => store.getters.isAdmin && store.getters.isAuth),
      list,
      showList,

      form,
      loadingSendButton,
      sendSuccessful,
      sendForm,
      isSendForm,
      isHomeMoreDialog,
      showHomeMoreDialog,
    }
  }
}
</script>

<style lang="scss">
.home-expansion-1 {
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: 1fr;
  gap: 0px 0px;
  grid-template-areas:
    ". home-expansion-1-title home-expansion-1-title";
  .home-expansion-1-title {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 0.4fr 1.6fr;
    gap: 0px 0px;
    grid-template-areas:
    "."
    ".";
    grid-area: home-expansion-1-title;
  }
}
.home-expansion-1.no-image {
  grid-template-columns: 1fr;
  grid-template-rows: 1fr 1fr;
  gap: 0px 0px;
  grid-template-areas:
    "."
    ".";
  .home-expansion-1-title {
    display: block;
  }
}
.home-expansion-1.is-items {
  display: flex; flex-wrap: wrap;
  div {
    width: 30%;
    min-width: 300px;
    margin: 10px;
    display: flex; align-items: center; justify-content: center;
    img {width: 30px;margin-right: 10px}
    p {margin: 0}
  }
}
</style>
